#ifndef CUSTOM_WIDGET_H
#define CUSTOM_WIDGET_H

#include <QWidget>


/**
 * @brief 解决默认widget毛玻璃特效问题
 * 
 */
class CustomWidget : public QWidget
{
    Q_OBJECT
private:
    double m_tran;//透明度

    void transChange(int transparency);
    void initConnect();
    void paintEvent(QPaintEvent *event);
public:
    explicit CustomWidget(QWidget *parent = nullptr);
    ~CustomWidget();
    
};

#endif // CUSTOM_WIDGET_H